########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/gl_last.4gl  1.2  Delta: 1/4/91
########################################################################

globals "gl_glob.4gl"

########################################################################
function gl_last()
# returns true/false based on pass/fail of the routine
########################################################################
#  This routine is designed to be run on the "after group" of doc_no
#  section (after each document).  Its purpose is to check the G/L
#  posting for accuracy before committing work.
#
# Status and description variables returned in the post_gl record:
#   10 
#   fg_error("lib_all","gl_last",10) 
#   Debits don't match Credits
#

    let post_gl.status = 0
    if post_gl.cr_accum != post_gl.db_accum
    then
        let post_gl.status = 10
        let post_gl.description = "Debits Don't Match Credits"
        return false
    end if

    return true
end function
# gl_last()
