########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_actgrp.4gs/lowlevel.4gl  1.3  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    # Trap fatal errors
    whenever error call error_handler

    let rpt.line_no = curs.line_no
    let rpt.grp_key = curs.grp_key
    let rpt.grp_desc = curs.grp_desc
    let rpt.acct_no = curs.acct_no
    let rpt.department = curs.department
    let rpt.acct_desc = curs.acct_desc
    return
end function
# on_every_row()

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "grp_key" then
        # insert "before group of grp_key" code here
        return
    end if

    if group_key = "line_no" then
        # insert "before group of line_no" code here
        return
    end if

end function
# before_group()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "grp_key" then
        # insert "after group of grp_key" code here
        return
    end if

    if group_key = "line_no" then
        # insert "after group of line_no" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()

#######################################################################
function ll_transaction()
#######################################################################
#  this function is called for each item in the cursor after the
#  ll_prepare() function, and before the data is sent to the report.
#  it's function is to process a complete transaction.
#  a transaction is defined as a begin work/update database/rollback
#  or commit work sequence.
#  if the report doesn't update the database, or if your database doesn't
#  use transactions, then you can delete this function.
#
    return
end function
# ll_transaction()

