########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_chtlst.4gs/globals.4gl  1.4  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            acct_cat like stxchrtr.acct_cat,
            co_name like stxcntrc.co_name,
            acct_type like stxchrtr.acct_type,
            subtotal_group like stxchrtr.subtotal_group,
            acct_no like stxchrtr.acct_no,
            acct_desc like stxchrtr.acct_desc,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            processing_seq like stxchrtr.processing_seq
        end record,
        curs record                 # record like the cursor
            acct_cat like stxchrtr.acct_cat,
            acct_type like stxchrtr.acct_type,
            subtotal_group like stxchrtr.subtotal_group,
            acct_no like stxchrtr.acct_no,
            acct_desc like stxchrtr.acct_desc,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            processing_seq like stxchrtr.processing_seq
        end record,
        curs_next record            # next row of cursor
            acct_cat like stxchrtr.acct_cat,
            acct_type like stxchrtr.acct_type,
            subtotal_group like stxchrtr.subtotal_group,
            acct_no like stxchrtr.acct_no,
            acct_desc like stxchrtr.acct_desc,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            processing_seq like stxchrtr.processing_seq
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

