########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/ar_post.4gl  1.1  Delta: 1/4/91
########################################################################

globals "ar_glob.4gl"

########################################################################

function ar_post(post_or_check, orig_journal, doc_no,
                 post_no, post_date, doc_date, ref_code, doc_desc,
                 inv_chk_no, doc_type,
                 act_type, inv_doc_no, amount,
                 disc_date, disc_bal, due_date, ar_acct_no, ar_department,
                 po_no, po_date)
# returns true/false based on pass/fail of the routine
########################################################################
# this function is a "stub" function that does nothing.  its purpose is
# to inform calling programs that the a/r module is not
# installed.  this function resides in the basefiles library, and thus
# will only be linked into calling programs if a/r module
# really isn't installed.
#
# if a/r is installed after order entry,
# the posting program(s) for those modules must be relinked to they
# will call the true ic_post function and not this stub.
#
    define
        post_or_check char(5),
        orig_journal like stxtranr.orig_journal,
        doc_no like stxtranr.doc_no,
        post_no like stxtranr.post_no,
        post_date like stxtranr.post_date,
        doc_date like stxtranr.doc_date,
        ref_code like stxtranr.ref_code,
        doc_desc like stxtranr.doc_desc,
        inv_chk_no char(10),
        doc_type char(2),
        act_type char(1),
        inv_doc_no integer,
        amount like stgactvd.amount,
        disc_date date,
        disc_bal like stgactvd.amount,
        due_date date,
        ar_acct_no integer,
        ar_department char(3),
        po_no char(10),
        po_date date,
        sql_str char(150),
        stat_flag smallint,
        doc_status smallint

    # Trap fatal errors
    whenever error call error_handler

    let post_ar.ar_installed = "N"
    let post_ar.status = 1
    return true

end function 
# ar_post()
