########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_contrl.4gs/lowlevel.4gl  1.2  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    # Trap fatal errors
    whenever error call error_handler

    let rpt.co_name = curs.co_name
    let rpt.addr1 = curs.addr1
    let rpt.addr2 = curs.addr2
    let rpt.city = curs.city
    let rpt.state = curs.state
    let rpt.zip = curs.zip
    let rpt.county = curs.county
    let rpt.country = curs.country
    let rpt.src_key = curs.src_key
    let rpt.src_desc = curs.src_desc
    let rpt.src_type = curs.src_type
    return
end function
# on_every_row()

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "src_type" then
        # insert "before group of src_type" code here
        return
    end if

    if group_key = "src_key" then
        # insert "before group of src_key" code here
        return
    end if

end function
# before_group()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "src_type" then
        # insert "after group of src_type" code here
        return
    end if

    if group_key = "src_key" then
        # insert "after group of src_key" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()

#######################################################################
function ll_transaction()
#######################################################################
#  this function is called for each item in the cursor after the
#  ll_prepare() function, and before the data is sent to the report.
#  it's function is to process a complete transaction.
#  a transaction is defined as a begin work/update database/rollback
#  or commit work sequence.
#  if the report doesn't update the database, or if your database doesn't
#  use transactions, then you can delete this function.
#
    return
end function
# ll_transaction()

