########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../gl.4gm/p_delete.4gs/prevperd.4gl  1.6  Delta: 2/9/91
########################################################################

#############################################################
function prev_period(no_period)
#############################################################
#
# this function returns the period and year of the 
# specified number of periods before the current period
#

    define
        no_period smallint,
        curr_period char(2),
        curr_year char(4)

    # Trap fatal errors
    whenever error call error_handler

    declare per_curs scroll cursor for 
        select stxperdr.period, stxperdr.period_year from stxperdr 
          where balanced = "Y"
          order by period_year desc, period desc

    open per_curs

    fetch absolute no_period per_curs into curr_period, curr_year
    if sqlca.sqlcode != 0
    then
        let sqlca.sqlcode = 0
        let curr_period = "00"
        let curr_year = "0000"
    end if

    close per_curs
    return curr_period, curr_year

end function
#prev_period
